const express = require("express");
const config = require("./config");
const port = config.port || 9000;
const home = require("./routes/home");
const v1 = require("./routes/v1");
const assets = require("./routes/assets");
const cors = require("./src/cors");
const {queryParamsToLower} = require("./src/querySanitizers");

const app = express();
app.use(cors);
app.use(queryParamsToLower);
app.use("/", home);
app.use("/service/v1", v1);
app.use("/assets", assets);

module.exports = app.listen(port, err => {
  if (err) {
    return console.log(err);
  }
});