const pug = require("pug");
const BaseStorage = require('./baseStorage');

const storage = new BaseStorage().getInstance();

const getCapabilitiesHandler = (req, res) => {

  storage.getPublicLayers().then(layers => {

    const compiledFunction = pug.compileFile("./views/capabilities.pug");
    let capabilities = compiledFunction({ layers: layers });
    res.set("Content-Type", "application/xml");
    res.status(200).send(capabilities);

  });

}

module.exports = { getCapabilitiesHandler };